Support » Plugin: Auto Hide Admin Bar » Database errors in new plugin version 1.2

  • Resolved zonebattler

    (@zonebattler)


    Hi Marcel,

    I upgraded all of my ten WordPress installations yesterday to Auto Hide Admin Bar v1.20, and since then I’m encountering database errors on several sites and during various occasions (like writing posts or editing comments). Typically, there are lots (dozends) of error messages like

    Warning: array_key_exists() expects parameter 2 to be array, boolean given in /www/htdocs/xxxxxxx/yyyyyyy/wp-content/plugins/auto-hide-admin-bar/auto-hide-admin-bar.php on line 105

    on the bottem of any backend screen. Can you reproduce this issue and offer a fix? In the meantime, I’m reverting to the previous version wich worked like a charm without any problems at all!

    Thanks,
    Ralph

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Marcel Bootsman

    (@mbootsman)

    Ralph,

    thanks for your report and sorry for the inconvenience.
    I managed to reproduce it and fix it. It was a bug because of not checking for the availability of the newly introduced options. I have just pushed the latest version, so you should be able to update the coming hour.

    Please let me know if this fixed your issue.

    Thanks, Marcel! I didn’t revert yet since I was hoping for a quick reply from you!

    I’m sure that you managed to fix the problem and I will only write again if I still encounter any problems… 😉

    Many thanks again for your most valuable plugin,
    Ralph

    Plugin Author Marcel Bootsman

    (@mbootsman)

    Thanks Ralph!

    Marcel, I have to say thank you for a great little plugin with great support! 😉

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Database errors in new plugin version 1.2’ is closed to new replies.